## libricohcamerasdk 1.1.0

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.0)
project (libricohcamerasdk)

set (LIBPENTAX_VERSION "1.1.0")
set (LIBPENTAX_SOVERSION "1")
set (LIBMTP_VERSION "9.3.0")
set (LIBMTP_SOVERSION "9")

list (APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules/")
list (APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/../cmake_modules/")
include (GNUInstallDirs)
include (InstallImported)

add_library (RicohCameraSDKCpp SHARED IMPORTED)
add_library (mtpricoh          SHARED IMPORTED)

set_target_properties (RicohCameraSDKCpp PROPERTIES VERSION ${LIBPENTAX_VERSION} SOVERSION ${LIBPENTAX_SOVERSION})
set_target_properties (mtpricoh          PROPERTIES VERSION ${LIBMTP_VERSION} SOVERSION ${LIBMTP_SOVERSION})

if (UNIX AND NOT WIN32 AND NOT APPLE)

  if (${CMAKE_SYSTEM_PROCESSOR} MATCHES "^(x86_64|amd64)")
    set_property (TARGET RicohCameraSDKCpp PROPERTY IMPORTED_LOCATION "lib/x64/libRicohCameraSDKCpp.bin")
    set_property (TARGET mtpricoh          PROPERTY IMPORTED_LOCATION "lib/x64/libmtpricoh.bin")
  elseif(${CMAKE_SYSTEM_PROCESSOR} MATCHES "^i[3-6]86")
    set_property (TARGET RicohCameraSDKCpp PROPERTY IMPORTED_LOCATION "lib/x86/libRicohCameraSDKCpp.bin")
    set_property (TARGET mtpricoh          PROPERTY IMPORTED_LOCATION "lib/x86/libmtpricoh.bin")
  elseif(${CMAKE_SYSTEM_PROCESSOR} MATCHES "^arm")
    set_property (TARGET RicohCameraSDKCpp PROPERTY IMPORTED_LOCATION "lib/armv7l/libRicohCameraSDKCpp.bin")
    set_property (TARGET mtpricoh          PROPERTY IMPORTED_LOCATION "lib/armv7l/libmtpricoh.bin")
  else ()
    message(FATAL_ERROR "Unsupported architecture: ${CMAKE_SYSTEM_PROCESSOR}")
  endif()

  # Install udev rules
  set (UDEVRULES_INSTALL_DIR "/lib/udev/rules.d" CACHE STRING "Base directory for udev rules")
  install (FILES 99-pentax.rules DESTINATION ${UDEVRULES_INSTALL_DIR})

endif ()

# Install header files
install (FILES include/ricoh_camera_sdk.hpp DESTINATION include/libricohcamerasdk)
install (DIRECTORY include/ricoh_camera_sdk DESTINATION include/libricohcamerasdk)

# Install library
install_imported (TARGETS RicohCameraSDKCpp mtpricoh DESTINATION ${CMAKE_INSTALL_LIBDIR})

=== debian/changelog ===
libricohcamerasdk (1.1.0-4) unstable; urgency=medium

  * add postrm/postinst script to remove bad link
    (Closes: #1035795)

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 18 May 2023 11:30:36 +0200

libricohcamerasdk (1.1.0-3) unstable; urgency=medium

  * manual build on: amd64 armhf
  * debian/control: limit all binary packages to certain architectures

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 18 May 2022 23:30:36 +0200

libricohcamerasdk (1.1.0-2) unstable; urgency=medium

  * manual build on all architectures
  * debian/control: move to debian-astro
  * debian/control: update description

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 23 Jan 2022 10:30:36 +0100

libricohcamerasdk (1.1.0-1) unstable; urgency=medium

  * initial version

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 11 Dec 2021 10:30:07 +0200

=== debian/control ===
Source: libricohcamerasdk
Section: non-free/libs
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, cmake
	, libusb-1.0-0-dev
Standards-Version: 4.6.0
Homepage: https://github.com/indilib/indi-3rdparty
Rules-Requires-Root: no
XS-Autobuild: yes
Vcs-Browser: https://salsa.debian.org/debian-astro-team/libricohcamerasdk
Vcs-Git: https://salsa.debian.org/debian-astro-team/libricohcamerasdk.git

Package: libricohcamerasdk-dev
Section: non-free/libdevel
Architecture: amd64 armhf
Depends: ${shlibs:Depends}, ${misc:Depends}
	, libricohcamerasdk (= ${binary:Version})
Description: library for Ricoh cameras - development files
 This package contains libraries to use Ricoh cameras.
 Particularly Pentax cameras in PTP mode can be controlled with
 the corresponding INDI driver.
 .
 This package contains development files.

Package: libricohcamerasdk
Architecture: amd64 armhf
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for Ricoh cameras
 This package contains libraries to use Ricoh cameras.
 Particularly Pentax cameras in PTP mode can be controlled with
 the corresponding INDI driver.
 .
 This package contains the library.

=== debian/rules ===
#!/usr/bin/make -f

#export DEB_BUILD_MAINT_OPTIONS = nostrip
export DEB_BUILD_OPTIONS = nostrip

%:
	dh $@
